pathpd <- function(fit){
    ## path diagram of the political democracy model
    Graph <- semPaths(fit,
                      whatLabels="name",
                      as.expression="edges",
                      edge.label.cex=1,
                      layout="tree2",
                      nCharNodes=0,
                      curve=1,
                      rotation=4,
                      #mar=c(3,3,3,3),
                      edge.color="black",
                      border.width=1.0, esize=1.0,
                      label.scale=FALSE,
                      label.cex=1.0,
                      residuals=FALSE,
                      fixedStyle=1,
                      freeStyle=1,
                      curvePivot=FALSE,
                      #style="LISREL",
                      exoVar=FALSE,
                      sizeMan=7,
                      sizeLat=10,
                      DoNotPlot=TRUE
                      )

        L <- matrix(c(
        0.4 ,   1 ,
        0.7 ,   1 ,
        1.0 ,   1 ,
        -1.0 ,   1 ,
        -1.0 ,   0.71 ,
        -1.0 ,   0.43 ,
        -1.0 ,   0.14 ,
        -1.0 ,  -0.14 ,
        -1.0 ,  -0.43 ,
        -1.0 ,  -0.71 ,
        -1.0 ,  -1    ,
        0.7 ,   0.4 ,
        0.0 ,   0.4 ,
        0.0 ,  -0.4
        ), 14,2, byrow=TRUE)

    qgraph(Graph, layout=L, arrowAngle=0.5, DoNotPlot=FALSE)
}

pathpd2 <- function(fit){
    ## path diagram of the political democracy model
    Graph <- semPaths(fit,
                      reorder=FALSE,
                      whatLabels="name",
                      as.expression="edges",
                      edge.label.cex=1,
                      #layout=L, 
                      layout="tree2",
                      nCharNodes=0,
                      curve=1,
                      rotation=4,
                      #mar=c(3,3,3,3),
                      edge.color="black",
                      border.width=1.0, esize=1.0,
                      label.scale=FALSE,
                      label.cex=1.0,
                      residuals=FALSE,
                      fixedStyle=1,
                      freeStyle=1,
                      curvePivot=FALSE,
                      #style="LISREL",
                      exoVar=FALSE,
                      sizeMan=7,
                      sizeLat=10,
                      DoNotPlot=TRUE
                      )

    L <- matrix(c(
        0.2 ,   1 ,
        0.7 ,   1 ,
        1.2 ,   1 ,
        -1.0 ,   1 ,
        -1.0 ,   0.71 ,
        -1.0 ,   0.43 ,
        -1.0 ,   0.14 ,
        -1.0 ,  -0.14 ,
        -1.0 ,  -0.43 ,
        -1.0 ,  -0.71 ,
        -1.0 ,  -1    ,
        0.7 ,   0.4 ,
        0.0 ,   0.4 ,
        0.0 ,  -0.4 ,
        -1.7 , 0.9 ,
        -1.7 , 0.55 ,
        -1.7 , 0.2 ,
        -1.7 , -0.15 ,
        -1.7 , -0.5 ,
        -1.7 , -0.85
        ), 20,2, byrow=TRUE)

    qgraph(Graph, layout=L, arrowAngle=0.5, DoNotPlot=FALSE, vsize=c(rep(7.23,11),rep(10,3),rep(6,6)))
}
